Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleFileResponseConfig.GetFileResponseConfig

Enclosing interface:
  Configuration.HandleFileResponseConfig

    public static interface Configuration.HandleFileResponseConfig.GetFileResponseConfig

For GetFile response.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `Configuration.HandleFileResponseConfig.GetFileResponseConfig.AckServerInfoConfig` For Ack Server Info.

Method Summary
`Configuration.HandleFileResponseConfig.GetFileResponseConfig.AckServerInfoConfig` | `getAckServerInfo()` Indicates the Ack Server Info.
`java.lang.String` | `getPhysicalDirectoryName()` Gets the physical directory name.
`java.lang.String` | `getPhysicalDirectoryStyle()` Gets the physical directory style (Regular Expression or Literal).
`java.lang.String` | `getPhysicalFileName()` Gets the physical file name.
`java.lang.String` | `getPhysicalFileStyle()` Gets the physical file style (Regular Expression or Literal).
`Configuration.PostOperationConfig` | `getPostOperation()` Gets the Post Operation Config.
`java.lang.String` | `getSw_FileDescription()` Gets the file description.
`java.lang.String` | `getSw_FileInfo()` Gets the file information.
`java.lang.String` | `getSw_Size()` Gets the file size.
`boolean` | `isPhysicalDirectoryLiteral()` Checks whether the physical directory style is Literal.
`boolean` | `isPhysicalDirectoryRegexp()` Checks whether the physical directory style is Regular Expression.
`boolean` | `isPhysicalFileLiteral()` Checks whether the physical file style is Literal.
`boolean` | `isPhysicalFileRegexp()` Checks whether the physical file style is Regular Expression.
`void` | `setPhysicalDirectoryName(java.lang.String physicalDirectoryName)` Sets the physical directory name.
`void` | `setPhysicalDirectoryStyle(java.lang.String physicalDirectoryStyle)` Sets the physical directory style (Regular Expression or Literal).
`void` | `setPhysicalFileName(java.lang.String physicalFileName)` Sets the physical file name.
`void` | `setPhysicalFileStyle(java.lang.String physicalFileStyle)` Sets the physical file style (Regular Expression or Literal).
`void` | `setSw_FileDescription(java.lang.String fileDescription)` Sets the file description.
`void` | `setSw_FileInfo(java.lang.String fileInfo)` Sets the file information.
`void` | `setSw_Size(java.lang.String size)` Sets the file size.
`void` | `validate()` Validate method.

Method Detail

### getPostOperation

    Configuration.PostOperationConfig getPostOperation()
                                                       throws SAGApplicationException

  Gets the Post Operation Config.
  Parameters:
    None.

  Returns:
    `PostOperationConfig` - Returns
  Throws:
    `SAGApplicationException` - upon error.

### getAckServerInfo

    Configuration.HandleFileResponseConfig.GetFileResponseConfig.AckServerInfoConfig getAckServerInfo()
                                                                                                      throws SAGApplicationException

  Indicates the Ack Server Info.
  Parameters:
    None.

  Returns:
    `AckServerInfoConfig` - Returns
  Throws:
    `SAGApplicationException` - upon error.

### getSw_FileDescription

    java.lang.String getSw_FileDescription()

  Gets the file description.

  Parameters:
    None.

  Returns:
    `String` - Returns file description.
  Throws:
    None.

### getSw_FileInfo

    java.lang.String getSw_FileInfo()

  Gets the file information.

  Parameters:
    None.

  Returns:
    `String` - Returns file information.
  Throws:
    None.

### getSw_Size

    java.lang.String getSw_Size()

  Gets the file size.

  Parameters:
    None.

  Returns:
    `String` - Returns file size.
  Throws:
    None.

### getPhysicalDirectoryName

    java.lang.String getPhysicalDirectoryName()

  Gets the physical directory name.

  Parameters:
    None.

  Returns:
    `String` - Returns physical directory name.
  Throws:
    None.

### getPhysicalDirectoryStyle

    java.lang.String getPhysicalDirectoryStyle()

  Gets the physical directory style (Regular Expression or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns physical directory style.
  Throws:
    None.

### isPhysicalDirectoryRegexp

    boolean isPhysicalDirectoryRegexp()

  Checks whether the physical directory style is Regular Expression.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPhysicalDirectoryLiteral

    boolean isPhysicalDirectoryLiteral()

  Checks whether the physical directory style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getPhysicalFileName

    java.lang.String getPhysicalFileName()

  Gets the physical file name.

  Parameters:
    None.

  Returns:
    `String` - Returns physical file name.
  Throws:
    None.

### getPhysicalFileStyle

    java.lang.String getPhysicalFileStyle()

  Gets the physical file style (Regular Expression or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns physical file style.
  Throws:
    None.

### isPhysicalFileRegexp

    boolean isPhysicalFileRegexp()

  Checks whether the physical file style is Regular Expression.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPhysicalFileLiteral

    boolean isPhysicalFileLiteral()

  Checks whether the physical file style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### setSw_FileDescription

    void setSw_FileDescription(java.lang.String fileDescription)
                               throws SAGApplicationException

  Sets the file description.

  Parameters:
    `fileDescription` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_FileInfo

    void setSw_FileInfo(java.lang.String fileInfo)
                        throws SAGApplicationException

  Sets the file information.

  Parameters:
    `fileInfo` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_Size

    void setSw_Size(java.lang.String size)
                    throws SAGApplicationException

  Sets the file size.

  Parameters:
    `size` -
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalDirectoryName

    void setPhysicalDirectoryName(java.lang.String physicalDirectoryName)
                                  throws SAGApplicationException

  Sets the physical directory name.

  Parameters:
    `physicalDirectoryName` - The physical directory name
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalDirectoryStyle

    void setPhysicalDirectoryStyle(java.lang.String physicalDirectoryStyle)
                                   throws SAGApplicationException

  Sets the physical directory style (Regular Expression or Literal).

  Parameters:
    `physicalDirectoryStyle` - The physical directory style
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalFileName

    void setPhysicalFileName(java.lang.String physicalFileName)
                             throws SAGApplicationException

  Sets the physical file name.

  Parameters:
    `physicalFileName` - The physical file name
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalFileStyle

    void setPhysicalFileStyle(java.lang.String physicalFileStyle)
                              throws SAGApplicationException

  Sets the physical file style (Regular Expression or Literal).

  Parameters:
    `physicalFileStyle` - The physical file style
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validate method.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.